GetAccessSource
Retrieves information about an access source.
Important
Route 53 Global Resolver is a global service that supports resolvers in multiple AWS Regions but you must specify the
US East (Ohio) Region to create, update, or otherwise work with Route 53 Global Resolver resources. That is, for example,
specify
--region us-east-2
on AWS CLI commands.
Request Syntax
GET /access-sources/accessSourceId HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- accessSourceId
-
The unique identifier of the access source to retrieve.
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[-.a-zA-Z0-9]+Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"arn": "string",
"cidr": "string",
"createdAt": "string",
"dnsViewId": "string",
"id": "string",
"ipAddressType": "string",
"name": "string",
"protocol": "string",
"status": "string",
"updatedAt": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- arn
-
The Amazon Resource Name (ARN) of the access source.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
arn:[-.a-z0-9]{1,63}:[-.a-z0-9]{1,63}:[-.a-z0-9]{0,63}:[-.a-z0-9]{0,63}:[^/].{0,1023} - cidr
-
The IP range for the rule's parameters in CIDR notation.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 43.
- createdAt
-
The time and date the rule was created.
Type: Timestamp
- dnsViewId
-
ID for the DNS view that the rule is associated to.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[-.a-zA-Z0-9]+ - id
-
ID for the rule.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[-.a-zA-Z0-9]+ - ipAddressType
-
The IP address type.
Type: String
Valid Values:
IPV4 | IPV6 - name
-
Name for the access source.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 32.
Pattern:
(?!^[0-9]+$)([a-zA-Z0-9-_/' ']+) - protocol
-
The protocol determines how data is transmitted to a Global Resolver instance.
Type: String
Valid Values:
DO53 | DOH | DOT - status
-
Information about the status of the rule.
Type: String
Valid Values:
CREATING | OPERATIONAL | UPDATING | DELETING - updatedAt
-
The time and date the access source was updated.
Type: Timestamp
Errors
For information about the errors that are common to all actions, see Common Errors.
- AccessDeniedException
-
You don't have permission to perform this operation. Check your IAM permissions and try again.
HTTP Status Code: 403
- InternalServerException
-
An internal server error occurred. Try again later.
- retryAfterSeconds
-
Number of seconds in which the caller can retry the request.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource was not found. Verify the resource ID and try again.
- resourceId
-
The unique ID of the resource referenced in the failed request.
- resourceType
-
The resource type of the resource referenced in the failed request.
HTTP Status Code: 404
- ThrottlingException
-
The request was throttled due to too many requests. Wait a moment and try again.
- quotaCode
-
The quota code recognized by the AWS Service Quotas service.
- retryAfterSeconds
-
Number of seconds in which the caller can retry the request.
- serviceCode
-
The code for the AWS service that owns the quota.
HTTP Status Code: 429
- ValidationException
-
The input parameters are invalid. Check the parameter values and try again.
- fieldList
-
The list of fields that aren't valid.
- reason
-
Reason the request failed validation.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: